function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { IconBase } from '../../IconBase';
var Lock24 = function Lock24(props) {
  return React.createElement(IconBase, _extends({}, props, {
    width: 24,
    height: 24
  }), React.createElement("path", {
    d: "M9 7a3 3 0 116 0h2A5 5 0 007 7h2z",
    fill: "currentColor"
  }), React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M2 22V8h20v14H2zm2-2V10h16v10H4z",
    fill: "currentColor"
  }));
};
Lock24.displayName = 'Icon.Lock';
export default Lock24;